Bug 1770609 - python-configparser: Remove (sub)packages from Fedora 32+: python2-configparser
Summary: python-configparser: Remove (sub)packages from Fedora 32+: python2-configparser
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-configparser
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1738083
Blocks: PY2REMOVAL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-11-10 23:22 UTC by Miro Hrončok
Modified: 2019-11-18 09:57 UTC (History)
9 users (show)

Fixed In Version: python-configparser-3.7.1-6.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-18 09:57:13 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-11-10 23:22:47 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-configparser were marked for removal:

 * python2-configparser

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

Please don't remove packages from Fedora 31/30/29, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Avram Lubkin 2019-11-11 01:11:43 UTC
The goal was to make this an EPEL-only package, since configparser is a backport and not needed in Python 3

graphite-web
 - Dependency removed, but builds have been failing
 - https://src.fedoraproject.org/rpms/graphite-web/c/126aef0db2a829d72b80a4679fcbb5342e43bfee?branch=master

python-couchbase
 - Only source, explicitly listed as a build dependency
 - #1770630

python-hdmf
 - Only source, explicitly listed as a build dependency
 - #1770629

python3-mailmerge
 - Cause by automatic dependency generator and unqualified dependency in upstream
 - #1770622

Comment 2 Miro Hrončok 2019-11-11 09:06:55 UTC
I suppose it would take a while before this is sorted out.

Let's remove Python 2 now and track this after? As a provenpackager I can help you merge Pull Requests.

Comment 3 Avram Lubkin 2019-11-12 14:35:19 UTC
graphite-web might be the holdout. A lot of Django packages are broken with 3.0 beta


Note You need to log in before you can comment on or make changes to this bug.